net.sf.jasperreports.components.map.fill

## Class FillItemData

- java.lang.Object
- - net.sf.jasperreports.components.map.fill.FillItemData

- Direct Known Subclasses:
    FillPlaceItemData, FillStyleItemData

      public abstract class FillItemData
      extends java.lang.Object

  Version:
    $Id: FillItemData.java 6688 2013-11-06 14:27:23Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FillContextProvider` | `fillContextProvider`
    `protected FillItemDataset` | `fillItemDataset`
    `protected ItemData` | `itemData`
    `protected java.util.List<FillItem>` | `itemsList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillItemData(FillContextProvider fillContextProvider, ItemData itemData, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvaluateItems()`
    `void` | `evaluateItems(JRFillExpressionEvaluator evaluator, byte evaluation)`
    `JRElementDataset` | `getDataset()`
    `java.util.List<java.util.Map<java.lang.String,java.lang.Object>>` | `getEvaluateItems(byte evaluation)`
    `abstract FillItem` | `getFillItem(Item item, JRFillObjectFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### itemData

          protected ItemData itemData

    - #### itemsList

          protected java.util.List<FillItem> itemsList

    - #### fillItemDataset

          protected FillItemDataset fillItemDataset

    - #### fillContextProvider

          protected FillContextProvider fillContextProvider

  - ### Constructor Detail

    - #### FillItemData

          public FillItemData(FillContextProvider fillContextProvider,
                      ItemData itemData,
                      JRFillObjectFactory factory)

  - ### Method Detail

    - #### getDataset

          public JRElementDataset getDataset()

    - #### evaluateItems

          public void evaluateItems(JRFillExpressionEvaluator evaluator,
                           byte evaluation)
                             throws JRException

      Throws:
        `JRException`

    - #### getEvaluateItems

          public java.util.List<java.util.Map<java.lang.String,java.lang.Object>> getEvaluateItems(byte evaluation)
                                                                                            throws JRException

      Throws:
        `JRException`

    - #### addEvaluateItems

          public void addEvaluateItems()

    - #### getFillItem

          public abstract FillItem getFillItem(Item item,
                             JRFillObjectFactory factory)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com